=== release 1.22.11 ===

2024-03-19 22:01:08 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.22.11

2024-02-13 16:27:38 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6111>

=== release 1.22.10 ===

2024-02-13 14:39:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.22.10

2024-01-04 13:43:20 +0000  Edward Hervey <edward@centricular.com>

	* debug-viewer/GstDebugViewer/Plugins/__init__.py:
	  gst-python: Fix override loading in python >= 3.12
	  The `imp` module got removed in python 3.12 and the `importlib` module should be
	  used instead.
	  This is also a good excuse to switch to the new finder module from PEP 451 :
	  https://www.python.org/dev/peps/pep-0451/
	  This only requires implement the `find_spec()` method in our custom loaders
	  Co-authored-by: Stefan <107316-stefan6419846@users.noreply.gitlab.freedesktop.org>
	  Co-authored-by: Jordan Petrids <jordan@centricular.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6050>

2023-10-25 13:39:04 +0300  Jordan Petridis <jordan@centricular.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  launcher: Fix ambigious python strings
	  ```
	  gst-devtools/validate/launcher/baseclasses.py:2399: SyntaxWarning: invalid escape sequence '\.'
	  if re.findall("%s\..*\.%s$" % (re.escape(mfile_bname), self.FILE_EXTENSION), f):
	  gst-devtools/validate/launcher/apps/gstvalidate.py:1354: SyntaxWarning: invalid escape sequence '\.'
	  ("file\.transcode.*mxf",
	  ```
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6044>

2024-01-25 00:18:12 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5990>

=== release 1.22.9 ===

2024-01-24 18:21:13 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.22.9

2023-12-18 13:52:12 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5826>

=== release 1.22.8 ===

2023-12-18 12:09:37 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.22.8

2023-03-15 09:11:51 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* validate/gst/validate/flow/formatting.c:
	  gstbuffer: Add parent meta when a copy shares memory with parent
	  When copying a buffer, for example with gst_buffer_make_writable(), the
	  new buffer might reference the same GstMemory as the src buffer,
	  making those memories not writable. If the src buffer gets disposed
	  first it should return to its buffer pool, but since some of its
	  memories are not writable it gets discarded and new buffer/memory gets
	  allocated.
	  Solves this by making the new buffer keep a reference to the src buffer,
	  that ensures that by the time the src buffer gets disposed no other
	  buffer are referencing its memories and it can thus return safely to its
	  pool.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5696>

2023-11-13 14:57:09 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5650>

=== release 1.22.7 ===

2023-11-13 11:04:22 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.22.7

2023-11-07 11:42:19 -0700  Jordan Yelloz <jordan.yelloz@collabora.com>

	* validate/launcher/baseclasses.py:
	  gst-validate: Fixed compatibility with Python 3.12
	  config.readfp() was removed in python 3.12 and config.read_file() does the same
	  thing and has been available since Python 3.2
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5627>

2023-09-20 19:41:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5371>

=== release 1.22.6 ===

2023-09-20 18:10:57 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.22.6

2023-08-15 16:01:28 +0200  Piotr Brzeziński <piotr@centricular.com>

	* validate/gst/validate/gst-validate-utils.c:
	  tools: Disable fault signal handlers in gst-launch/gst-validate on macOS
	  By default, macOS attempts to run lldb against a misbehaving process to handle the crash. This does not play well
	  with the SISEGV/SIGQUIT handler we add in gst-launch/gst-validate. The 'spinning' mechanism causes the lldb
	  and debugserver processes ran by macOS to misbehave, taking 100% CPU and rendering both themselves and the GStreamer
	  instance frozen and very hard to effectively kill. macOS's Activity Monitor is also unusable while this is happening.
	  This patch takes the quickest possible solution of just disabling those signal handlers entirely on macOS.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5201>

2023-07-20 16:57:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5082>

=== release 1.22.5 ===

2023-07-20 15:22:48 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.22.5

2023-06-20 19:10:38 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4907>

=== release 1.22.4 ===

2023-06-20 17:42:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.22.4

2023-05-19 12:36:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4679>

=== release 1.22.3 ===

2023-05-19 09:23:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.22.3

2023-04-12 00:31:17 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.22.2 ===

2023-04-11 17:29:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.22.2

2023-03-04 16:13:04 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.22.1 ===

2023-03-04 13:42:32 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.22.1

2023-03-01 00:56:51 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/validate.c:
	  validate: Protect init function with a recursive mutex
	  In tests in the rust bindings we end up with 2 thread initializing
	  concurrently, and it should not be a problem, -validate should be MT
	  safe.
	  Using a recursive mutex as we might recursively init for some reason
	  and we are not on the hot path here in any case.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4097>

2023-03-01 00:43:01 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: sink refs when building
	  Scenarios are no owned by anyone, even if they are GstObjects
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4097>

2023-02-15 22:06:39 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  tests: Move srtp test known issue def to the 'check' testuite
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3986>

2023-02-15 22:05:53 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: try to bne more explicit about where to add known failure
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3986>

2023-02-15 22:02:56 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Handle known return code issue in none validate based tests
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3986>

2023-01-28 20:02:49 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: fix g-i warning in annotation
	  gst-validate-scenario.c:2485: Warning: GstValidate: missing ":" at column 28:
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3842>

2023-01-27 13:49:33 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Fix gst_validate_execute_action annotation
	  The action passed in is transfer full
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3838>

2023-01-25 16:46:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.22.0 ===

2023-01-23 19:29:34 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.22.0

=== release 1.21.90 ===

2023-01-13 19:08:48 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.21.90

2023-01-04 21:37:55 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/meson.build:
	  docs: explicitly declare gir build dependencies
	  As the path to the gir file is passed to hotdoc.generate_doc() and
	  not the build target itself, meson doesn't know about the dependency.
	  In turn, as the CI doesn't build everything before building the
	  documentation target, some gir files might not exist, for instance
	  in the case of gst-rtsp-server, causing the output documentation to
	  be empty.
	  The error occurred silently because hotdoc accepts wildcards for
	  *-sources arguments, thus it won't warn about a missing gir file as
	  it is legitimate for glob matching to resolve to nothing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3686>

2022-12-27 00:24:36 +1100  Jan Schmidt <jan@centricular.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  validate: Place regex flags at the start of the regex
	  In Python 3.11 it is an error to have regex flags in the middle
	  of an expression, so make sure they appear at the start.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1630
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3643>

2022-12-27 17:14:06 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/launcher/testsuites/check.py:
	  validate-launcher: update testsuites checks for fixed bug
	  Should make CI functional again.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3646>

2022-12-13 08:58:43 -0500  Xavier Claessens <xavier.claessens@collabora.com>

	* validate/meson.build:
	  Fix API visibility macros
	  This copies the logic from GLib discussed there:
	  https://gitlab.gnome.org/GNOME/glib/-/merge_requests/2936
	  Beside being simpler, it also fix all public symbols being annotated
	  with dllexport when doing a static build, as discovered there:
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3540#note_1678335
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3567>

2022-12-05 02:29:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.21.3 ===

2022-12-05 01:28:21 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.21.3

2022-12-04 12:25:41 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Remove ChangeLog files from git repository
	  This information is tracked fully in the git repository, so
	  no point having the ChangeLog duplicate it, and it interferes
	  with grepping the repository.
	  We are going to create the ChangeLogs on the fly when generating
	  tarballs going forward (with a limited history), since it's still
	  valuable for tarball consumers to be able to easily see a list of
	  recent changes.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer-project/-/issues/73
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3521>

2022-11-07 00:10:39 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* scripts/gen-changelog.py:
	  meson: Generate ChangeLog files for release tarballs on dist
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3521>

2022-11-17 16:09:51 +0000  Stéphane Cerveau <scerveau@igalia.com>

	* validate/gst/validate/gst-validate-enum-types.c.template:
	* validate/gst/validate/gst-validate-extra-checks.c:
	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/media-descriptor-parser.c:
	* validate/gst/validate/media-descriptor-writer.c:
	* validate/gst/validate/media-descriptor.c:
	* validate/gst/validate/meson.build:
	* validate/gst/validate/validate-prelude.h:
	* validate/meson.build:
	  validate:  cleanup the use of GST_VALIDATE_API on Windows
	  Export or import properly the method from GST_VALIDATE_API
	  with a proper config.h
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3429>

2022-11-14 07:27:28 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Avoid timeouts on EOS
	  If there is an EOS and the next action is waiting for a playback time, execute
	  it since we are guaranteed the position won't change anymore.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3403>

2022-11-12 08:18:42 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Don't leak GFile
	  And use specific variables for clarity in loops.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3390>

2022-11-12 10:40:22 +0100  Edward Hervey <bilboed@bilboed.com>

	* validate/gst/validate/media-descriptor-writer.c:
	  validate: Don't leak discoverer information
	  The various streaminfo were being overwritten without being unreffed first
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3390>

2022-11-11 14:19:15 +0100  Edward Hervey <edward@centricular.com>

	* validate/tools/gst-validate-media-check.c:
	  validate: Don't deinit too early
	  If we are going to use the validate functions ... do that *before*
	  deinit'ing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3390>

2022-11-08 02:08:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3358>

=== release 1.21.2 ===

2022-11-07 23:53:59 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.21.2

2022-11-07 23:53:57 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.21.2

2022-11-04 11:23:12 +0100  Edward Hervey <edward@centricular.com>

	* validate/tools/gst-validate.c:
	  gst-validate-1.0: Don't leak arguments and context
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3319>

2022-11-04 11:02:49 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Don't leak temporary path value
	  It's only use in the structure iterator
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3319>

2022-11-04 11:02:27 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Don't leak temporary local variables structures
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3319>

2022-11-03 14:05:59 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-utils.c:
	* validate/plugins/ssim/gstvalidatessim.c:
	  validate: plug some leaks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3319>

2022-10-15 11:38:02 +0300  Sebastian Dröge <sebastian@centricular.com>

	* validate/gst/validate/gst-validate-bin-monitor.c:
	* validate/gst/validate/gst-validate-element-monitor.c:
	* validate/gst/validate/gst-validate-monitor.c:
	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Add/fix various annotations
	  And fix monitor constructors to correctly check for valid arguments.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3194>

2022-09-21 11:44:59 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Plug some leaks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3059>

2022-10-05 12:57:02 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Cleanup test uuid when copying it
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3122>

2022-10-04 19:17:15 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  validate: launcher: Add a argument to avoid rereuning flaky tests
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3122>

2022-10-04 19:16:44 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  validate: launcher: Keep variable framerate from input when possible
	  But disable it if forcing a framerate for some reason
	  Fixing our support for variable framerate in the encoding profile
	  serialization format.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3122>

2022-10-04 19:16:04 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate: launcher: Fix some pep8 issues
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3122>

2022-10-04 19:14:49 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  validate: Handle testfiles that need an HTTP server
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3122>

2022-09-27 16:35:31 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst-libs/gst/video/gstvalidatessim.c:
	  validate:ssim: Show original/nok/diff images on error images
	  This way the user can easily see how off the image is very easily
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3122>

2022-09-27 12:51:33 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Fix setting iterating variable from arrays
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3122>

2022-10-04 03:57:31 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3115>

=== release 1.21.1 ===

2022-10-04 01:14:01 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.21.1

2022-10-04 01:13:59 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.21.1

2022-09-21 19:19:45 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Use implicit builtin dirs in pkgconfig generation
	  Starting with Meson 0.62, meson automatically populates the variables
	  list in the pkgconfig file if you reference builtin directories in the
	  pkgconfig file (whether via a custom pkgconfig variable or elsewhere).
	  We need this, because ${prefix}/libexec is a hard-coded value which is
	  incorrect on, for example, Debian.
	  Bump requirement to 0.62, and remove version compares that retained
	  support for older Meson versions.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1245
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3061>

2022-09-14 15:45:28 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Make appsrc-push push a sample
	  Allowing setting a segment to the sample
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3052>

2022-09-14 15:36:41 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-action-types.md:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Handle buffer pts/dts/duration in the appsrc-push action
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3052>

2022-09-14 15:31:20 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Simplify the way we override appsrc src pad chain
	  When pushing several buffers while the pipeline is in NULL state, meaning
	  that the action are executed "interlaced", previous code was deadlocking.
	  This new implementation makes it so the override is always on and we
	  expect all buffers to go through to be associated to a function, which
	  is a safe assumption.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3052>

2022-09-08 18:25:07 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Fix a leak when done waiting for an ASYNC action
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3000>

2022-09-12 09:46:43 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* validate/tools/meson.build:
	  meson: Set install_tag on some targets
	  Trying to follow recommendation from Meson documentation:
	  https://mesonbuild.com/Installing.html#installation-tags
	  Move tools into 'bin' or 'bin-devel' categories to keep only libs and
	  plugins in the default 'runtime' category. This simplifies distribution
	  of GStreamer application skipping parts that are not needed, similarly
	  to what Cerbero does by hardcoding huge list of files.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3017>

2022-09-16 22:05:18 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-action-types.md:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Update action types documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3040>

2021-03-24 14:20:18 -0500  Zebediah Figura <z.figura12@gmail.com>

	* meson.build:
	  meson: Build with -Wl,-z,nodelete to prevent unloading of dynamic libraries and plugins
	  GLib made the unfortunate decision to prevent libgobject from ever being
	  unloaded, which means that now any library which registers a static type
	  can't ever be unloaded either (and any library that depends on those,
	  ad nauseam).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/778>

2022-09-07 15:43:11 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Some minor fixes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3007>

2022-09-07 15:41:53 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Add a 'check-current-pad-caps' check action type
	  Allowing to check that a specific pad has some specific caps set
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3007>

2022-09-07 15:19:05 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  validate: Add a 'check' field to waits to allow running check actions after it get executed
	  Adding the notion of 'check' action types
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3007>

2022-09-01 15:11:31 -0400  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	* validate/gst/validate/meson.build:
	  meson: Call pkgconfig.generate in the loop where we declare plugins dependencies
	  Removing some copy pasted code
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2970>

2022-09-01 11:51:48 -0400  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	* validate/gst/validate/meson.build:
	  meson: Namespace the plugins_doc_dep/libraries variables
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2970>

2022-08-31 18:44:14 -0400  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	  meson: Rename plugins list and make them "dependency" objects
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2970>

2022-08-31 10:31:40 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/meson.build:
	  validate: Fix gir generation
	  It broke in https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2555
	  where we stopped parsing some .c files
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2965>

2022-08-04 21:12:08 +0300  Jordan Petridis <jordan@centricular.com>

	* validate/launcher/baseclasses.py:
	  validate: don't look for the common supression file
	  We no longer have a common submodule
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2841>

2022-08-05 20:16:00 +0900  Seungha Yang <seungha@centricular.com>

	* validate/launcher/testsuites/check.py:
	  Revert "videoconvertscale: Add properties to disable scaling/converting in videoconvert/videoscale"
	  This reverts commit cd7a91cef1c6a2e24d440126b7f2ab543fb205c5.
	  Reverting properties, scaling in videoconvert and converting in
	  videoscale will be disabled by the other commit
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2778>

2022-06-29 10:55:13 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  coding style: allow declarations after statement
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1243/
	  and https://gitlab.freedesktop.org/gstreamer/gstreamer-project/-/issues/78
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2683>

2022-04-06 12:56:30 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* validate/gst/validate/validate.c:
	  Bump GLib requirement to >= 2.62
	  Can't require 2.64 yet because of
	  https://gitlab.freedesktop.org/gstreamer/cerbero/-/issues/323
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2568>

2022-05-30 14:00:55 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/meson.build:
	  validate: Fix running as a tracer
	  We need to rebuild runner.c as this is where the plugin is defined
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2555>

2022-04-21 10:38:24 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate: Do not print Known error tests
	  Those are passing tests in practice and it doesn't give any useful information
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2264>

2022-04-19 18:38:12 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	  validate:pipeline-monitor: Minor cleanup setting unused variable
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/898>

2022-04-14 09:48:14 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  videoconvertscale: Add properties to disable scaling/converting in videoconvert/videoscale
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/898>

2022-04-14 09:09:35 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/tools/gst-validate.c:
	  validate: scenario: Add a 'allow-error' configuration
	  This new configuration allows the scenario to keep running even
	  after receiving an "error" message on the bus.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/898>

2022-03-25 10:20:24 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* validate/gst/validate/gettext.h:
	  Delete unused i18n headers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2028>

2022-04-01 21:47:59 +0800  Haihua Hu <jared.hu@nxp.com>

	* validate/launcher/baseclasses.py:
	  ximagesink/xvimagesink: use GST_XINITTHREADS to ensure call to XInitThreads
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2098>

2022-03-30 11:06:02 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* meson.build:
	  Use gmodule-no-export-2.0
	  We don't need `-Wl,--export-dynamic`, that's used only for executables
	  that needs to export an API to be used by plugins they load.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2031>

2022-03-25 15:00:20 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* meson.build:
	* validate/gst-libs/gst/video/meson.build:
	* validate/gst/validate/meson.build:
	* validate/plugins/fault_injection/meson.build:
	* validate/plugins/gapplication/meson.build:
	* validate/plugins/gtk/meson.build:
	* validate/plugins/ssim/meson.build:
	  Remove glib and gobject dependencies everywhere
	  They are part of gst_dep already and we have to make sure to always have
	  gst_dep. The order in dependencies matters, because it is also the order
	  in which Meson will set -I args. We want gstreamer's config.h to take
	  precedence over glib's private config.h when it's a subproject.
	  While at it, remove useless fallback args for gmodule/gio dependencies,
	  only gstreamer core needs it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2031>

2021-09-11 12:17:56 -0300  Thibault Saunier <tsaunier@igalia.com>

	* meson_options.txt:
	* validate/tools/meson.build:
	  tools: Add support for building gstreamer tools against gst-full
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1581>

2022-03-28 21:15:15 +1100  Matthew Waters <matthew@centricular.com>

	* validate/gst/validate/gst-validate-media-info.c:
	  validate/media-info: silence unsed variable warning
	  Fixes:
	  ../validate/gst/validate/gst-validate-media-info.c:714:28: error: variable 'total_sink_count' set but not used [-Werror,-Wunused-but-set-variable]
	  guint id, ncounters = 0, total_sink_count = 0;
	  ^
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2046>

2022-01-04 14:53:06 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Support args in the `emit-signal` action
	  This was never needed before but it is generally useful and there
	  was a todo about it
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1492>

2022-03-18 09:07:48 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/media-descriptor-parser.c:
	* validate/gst/validate/media-descriptor-writer.c:
	* validate/gst/validate/media-descriptor.c:
	* validate/gst/validate/media-descriptor.h:
	  validate: Totally hide media descriptor node types from the API
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1986>

2022-03-18 13:42:27 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Bump all meson requirements to 0.60
	  Lots of new warnings ever since
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1934
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1977>

2022-03-07 17:21:48 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst-libs/gst/video/gssim.h:
	* validate/gst-libs/gst/video/gstvalidatessim.h:
	* validate/gst/validate/gst-validate-bin-monitor.h:
	* validate/gst/validate/gst-validate-element-monitor.h:
	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/gst-validate-media-info.h:
	* validate/gst/validate/gst-validate-mockdecryptor.h:
	* validate/gst/validate/gst-validate-monitor.h:
	* validate/gst/validate/gst-validate-override-registry.h:
	* validate/gst/validate/gst-validate-override.h:
	* validate/gst/validate/gst-validate-pad-monitor.h:
	* validate/gst/validate/gst-validate-pipeline-monitor.h:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-reporter.h:
	* validate/gst/validate/gst-validate-runner.h:
	* validate/gst/validate/gst-validate-scenario.h:
	* validate/gst/validate/media-descriptor-parser.c:
	* validate/gst/validate/media-descriptor-parser.h:
	* validate/gst/validate/media-descriptor-writer.c:
	* validate/gst/validate/media-descriptor-writer.h:
	* validate/gst/validate/media-descriptor.c:
	* validate/gst/validate/media-descriptor.h:
	  validate: Cleanup ABI and make it ready to be stabilized this cycle
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1810>

2022-03-07 16:29:19 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/meson.build:
	  validate: Introspect gst-validate-runner.c
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1810>

2022-03-02 22:21:40 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-runner.c:
	  validate: Add getters for ValidateReports
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1810>

2022-03-02 12:52:37 +0000  Philippe Normand <philn@igalia.com>

	* validate/gst/validate/gst-validate-override.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-runner.c:
	  validate: Change IssueId type to guint32
	  Which is a bit more bindings-friendly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1810>

2022-03-02 10:54:17 +0000  Philippe Normand <philn@igalia.com>

	* validate/plugins/ssim/gstvalidatessim.c:
	  validate: ssim: Respect requested dump recurrence parameter
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1810>

2022-03-02 10:27:10 +0000  Philippe Normand <philn@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Keep scenario alive enough when executing actions
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1810>

2022-03-02 13:11:43 +0000  Philippe Normand <philn@igalia.com>

	* validate/gst/validate/gst-validate-bin-monitor.c:
	* validate/gst/validate/gst-validate-element-monitor.c:
	* validate/gst/validate/gst-validate-monitor.c:
	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-pad-monitor.h:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/media-descriptor.h:
	  validate: Introspection annotation cleanups
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1810>

2022-02-28 10:58:41 +0000  Philippe Normand <philn@igalia.com>

	* validate/gst/validate/gst-validate-scenario.h:
	* validate/gst/validate/media-descriptor.h:
	  validate: Fix padding and constants
	  Without this the Rust -sys validate crate tests don't pass.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1810>

2022-02-28 10:57:55 +0000  Philippe Normand <philn@igalia.com>

	* validate/gst/validate/validate.h:
	  validate: Expose all public headers in main header
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1810>

2022-02-28 10:56:59 +0000  Philippe Normand <philn@igalia.com>

	* validate/gst/validate/meson.build:
	  validate: Fix pkgconfig name
	  Making it consistent with the reset of GStreamer. This also means that
	  anyone wanting to target -validate >= 1.22 needs to change the way they
	  link against it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1810>

2022-03-15 13:57:11 +0100  Corentin Noël <tintou@noel.tf>

	* validate/gst/validate/gst-validate-runner.c:
	  validate: Fix typo in get_reports
	  Return without s isn't taken into account for the introspection.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1965>

2022-02-21 10:49:15 +0100  Sebastian Fricke <sebastian.fricke@collabora.com>

	* debug-viewer/GstDebugViewer/Common/Main.py:
	* debug-viewer/gst-debug-viewer:
	* validate/gst/validate/gst-validate-scenario.c:
	  Remove the uninstalled term
	  Remove the symbolic link `gst-uninstalled` which points to `gst-env`.
	  The `uninstalled` is the old name and the project should stick to a
	  single name for the procedure.
	  Remove the term from all the files, exceptions are variables from
	  dependencies like `uninstalled_variables` from pkgconfig and
	  `meson-uninstalled`.
	  Adjust mentions of the script in the documentation and README.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1743>

2022-02-17 15:25:21 +0100  Sebastian Fricke <sebastian.fricke@collabora.com>

	* docs/gst-validate-environment-variables.md:
	  Add documentation for GST_VALIDATE_APPS_DIR
	  Add documentation for the environment variable, explaining what it is
	  used for and the default search locations.
	  Fixes: 4d569b51ed2 add a way to specify an application directory.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1743>

2022-02-17 11:35:49 +0100  Sebastian Fricke <sebastian.fricke@collabora.com>

	* docs/gst-validate-environment-variables.md:
	  Improve environment variable documentation
	  At GST_VALIDATE_FILE:
	  s/will be outputed/are output/
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1743>

2022-02-17 11:32:14 +0100  Sebastian Fricke <sebastian.fricke@collabora.com>

	* docs/gst-validate-environment-variables.md:
	  Add documentation for GST_VALIDATE_PLUGIN_PATH
	  Add documentation for the environment variable, explaining what it is
	  used for and the default search locations.
	  Fixes: 83d6978f80 Implement fault_injection as a Gs(tValidate)Plugin
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1743>

2022-02-21 11:37:26 -0500  Xavier Claessens <xavier.claessens@collabora.com>

	* validate/data/scenarios/meson.build:
	  devenv: Add some missing GStreamer specific env variables
	  This should make "meson devenv" closer to what "gst-env.py" sets.
	  - GST_VALIDATE_SCENARIOS_PATH
	  - GST_VALIDATE_APPS_DIR
	  - GST_OMX_CONFIG_DIR
	  - GST_ENCODING_TARGET_PATH
	  - GST_PRESET_PATH
	  - GST_PLUGIN_SCANNER
	  - GST_PTP_HELPER
	  - _GI_OVERRIDES_PATH
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1768>

2022-02-04 11:15:47 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1635>

=== release 1.20.0 ===

